#pragma once

#include <utils/editor.hpp>

#include <string>
#include <memory>

namespace clippy::targets {
class Target;
}

class Config {
 public:
  Config(std::string path) : path_(std::move(path)) {}

  void Edit() { utils::OpenEditor(path_); }

  std::unique_ptr<clippy::targets::Target> GetTarget(const std::string& target);

 private:
  std::string path_;
};
